Subject: Re: [OPSAWG] start WGLC ondraft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 2 Feb 2009 13:39:58 +0100

Answers like - 'I have read the document and I believe it's important
enough and good enough to be submitted to the IESG' are also acceptable.

As a reminder - the WG is also in WGLC with
draft-ietf-opsawg-operations-and-management.

We need more input with both documents to know how we proceed. 

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Scott O. Bradner
> Sent: Friday, January 30, 2009 4:10 AM
> To: [email-masked]
> Subject: Re: [OPSAWG] start WGLC 
> ondraft-ietf-opsawg-smi-datatypes-in-xsd-04.txt
> 
> 
> back on Nov 6th we sent out a WGLC on
> draft-ietf-opsawg-smi-datatypes-in-xsd-04.txt
> 
> there was no response to that last call that I can find in 
> the mail list archive (or in my memory)
> 
> we gotta see a bit more interest than that to proceed with 
> this document.  
> 
> So, I'll try again 
> 
> this is a WGLC for draft-ietf-opsawg-smi-datatypes-in-xsd-04.txt
> please comment (one way or the other) by Feb 12
> 
> tnx
> 
> Scott
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
> 
_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 2 Feb 2009 14:00:44 +0100

> enough and good enough to be submitted to the IESG' are also acceptable.

I have read the revised version and I still have a meta issue with the
following statement:

:   This memo is the first in a set of three related and (logically)
:   ordered specifications:
:
:      1.  SMI Base Datatypes [RFC2578] in XSD
:      2.  SMI MIB Structure [RFC2578] in XSD
:      3.  SNMP Textual Conventions [RFC2579] in XSD

We have a discussion at the IETF in Dublin the scope of this work and
I think the chairs got a task to sort this out, which as far as I can
tell did not happen. For some details, please see the meeting minutes.

Since I have not seen any documents for items 2. and 3., I am somewhat
unsure that the scope defined in this document is correct and that it
should be there in the first place, especially since there are no
working documents nor is it clear that the charter covers 2. and 3.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg

---

From: "Natale, Bob" <[email-masked]>
Date: Mon, 2 Feb 2009 12:41:06 -0500

Hi Juergen,

I have no problem removing the text that gives rise to your "meta-issue" as part of a revision for transmittal to the IESG, but I don't think it should require another round of WGLC...?

We had specific substantive inputs from a fair number of people during earlier drafts -- as is to be desired -- and all of those inputs have been incorporated or otherwise adjudicated, to the best of my knowledge.

Cheers,
BobN

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
Sent: Monday, February 02, 2009 8:01 AM
To: Romascanu, Dan (Dan)
Cc: [email-masked]
Subject: Re: [OPSAWG] start WGLC ondraft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

/js

---

From: Mark Ellison <[email-masked]>
Date: Tue, 03 Feb 2009 12:51:40 -0500

Hi,

I have participated in reviews of the 
draft-ietf-opsawg-smi-datatypes-in-xsd document.

I have also been involved with a few SNMP/MIB projects that transformed 
data between SMIv2, XML and Java representations.

I think it is worthwhile for the IETF to provide a standard schema 
representation of the SMIv2 data types for XML and recommend this draft 
be submitted for publication as an RFC.

Regards,

Mark
http://ellisonsoftware.com/company/principal-consultant/

On 01/29/2009 09:10 PM, Scott O. Bradner wrote:
> there was no response to that last call that I can 
> find in the mail list archive (or in my memory)
>
> we gotta see a bit more interest than that to proceed
> with this document.  
>
> So, I'll try again 
>

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Wed, 4 Feb 2009 10:56:35 +0100

My comments:

- page 7, section 4
  - speaks about opague. I think you mean opaque (with a Q)

  You may also want to make an explicit statement that those are the datatype
  names as ytou specify them in XSD. I first though they were the datatypes
  as specified in SMIv2.

- Opague (with a G) is again used in the 1st para of sect 5.3 and 
   in the first bullet on page 12 and also 3rd bullet.

I share/support Juergen Shoenwaelder's comment w.r.t. the discussion about 3 documents
in a document set. Where, how is that otehr work scheduled/planned?

Other than that, this document seems fine.

Bert
  ----- Original Message ----- 
  From: Scott O. Bradner 
  To: [email-masked] 
  Sent: Friday, January 30, 2009 3:10 AM
  Subject: Re: [OPSAWG] start WGLC ondraft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

  So, I'll try again 

  tnx

  Scott

---

From: "Natale, Bob" <[email-masked]>
Date: Wed, 4 Feb 2009 08:17:35 -0500

Hi Bert,

Thanks for your comments and assessment.

- The misspellings of "opaque" (with a "g") have been corrected.

- The use of "datatypes" in the file name and title was, in fact, intended to refer to "SMI datatypes" as implied by the general usage in RFC 2578, Sec. 7.1, "Mapping of the Syntax Clause", to wit:

"The SYNTAX clause, which must be present, defines the abstract data structure corresponding to that object.  The data structure must be one of the following: a base type, the BITS construct, or a textual convention.  (SEQUENCE OF and SEQUENCE are also possible for conceptual tables, see section 7.1.12).  The base types are those defined in the ObjectSyntax CHOICE.  A textual convention is a newly-defined type defined as a sub-type of a base type [3]."

So, "datatypes" is used a bit loosely for "base types"...would you prefer that the latter term be used?  (The document text currently makes it clear that it deals only with expressing the base types of RFC 2578 in XSD.)

- Yes, the text that Juergen questioned is being removed (also had helpful guidance from David Harrington on this point), so that this "base types" document stands alone.

Please confirm or clarify the second point...I will have the -05 version, reflecting final mods based on this last call round, ready immediately after expiration of the last call period (12-Feb-09).

Cheers,
BobN

From: [email-masked] [mailto:[email-masked]] On Behalf Of Bert Wijnen (IETF)
Sent: Wednesday, February 04, 2009 4:57 AM
To: [email-masked]
Subject: Re: [OPSAWG] start WGLC ondraft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

My comments:

- page 7, section 4

Bert
----- Original Message -----
From: Scott O. Bradner<mailto:[email-masked]>
To: [email-masked]<mailto:[email-masked]>
Sent: Friday, January 30, 2009 3:10 AM
Subject: Re: [OPSAWG] start WGLC ondraft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

So, I'll try again

tnx

Scott
_______________________________________________
OPSAWG mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/opsawg

---

From: Mark Ellison <[email-masked]>
Date: Wed, 04 Feb 2009 08:56:54 -0500

Hi,

This document represents a good start towards standardizing the 
representation of management information defined in SMIv2 for XML 
document driven applicaitons and I look forward with interest to the MIB 
Structure and TC documents.

Regards,

Mark

---

From: "Natale, Bob" <[email-masked]>
Date: Wed, 4 Feb 2009 11:50:16 -0500

Hi Bert,

Thanks...ok, I see now how to fix the source of the confusion around the text your cited in Sec. 4 - more clarity about which side of the mapping is being referred to.

Will do that and also the full check for the implications of resolving references to "the other two documents" throughout in the update resulting from this last call round of comments.

Cheers,
BobN

From: Bert Wijnen [mailto:[email-masked]]
Sent: Wednesday, February 04, 2009 11:39 AM
To: Natale, Bob
Cc: [email-masked]
Subject: Re: [OPSAWG] start WGLC on draft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

W.r.t. my second point, section 4 states:

   This document concerns only the SMI base datatypes -- i.e., the
   eleven "ObjectSyntax" datatypes defined in RFC2578.  These datatypes
   -- via tag values defined in the SMI to identify them in varbinds --
   constrain values carried "on-the-wire" in SNMP PDUs between SNMP
   management applications and SNMP agents:

And then after that colon, it lists the names of the dtaatypes as you define them in sect 4, namely
the names used in teh XSD.

If they refer to SMI datatype, then I would have expected OBJECT IDENTIFIER instead of
ObjectIdentifier and OCTET STRING instead of OctetString.

Not a big deal, but it had me put on the wrong leg at first.

By the way, in teh IANA considerations there is also text and URIs w.r.t.
"other 2 documents" in the "set of documents".

Bert
----- Original Message -----
From: Natale, Bob<mailto:[email-masked]>
To: Bert Wijnen (IETF)<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Sent: Wednesday, February 04, 2009 2:17 PM
Subject: RE: [OPSAWG] start WGLC on draft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

Hi Bert,

Cheers,
BobN

My comments:

- page 7, section 4

Bert
----- Original Message -----
From: Scott O. Bradner<mailto:[email-masked]>
To: [email-masked]<mailto:[email-masked]>
Sent: Friday, January 30, 2009 3:10 AM
Subject: Re: [OPSAWG] start WGLC ondraft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

So, I'll try again

tnx

Scott

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Wed, 4 Feb 2009 18:35:06 +0100

Hi,

I reviewed this document. One small XSD issue we solved offline.

I think the document is valuable to provide a standard schema 
representation of the SMIv2 data types for XML.

I would like to see this document as an RFC to facilitate the usage 
for XML-based applications.

Mehmet

---

From: "David B Harrington" <[email-masked]>
Date: Wed, 4 Feb 2009 17:16:36 -0500

Hi,

I have reviewed the -04- revision and believe it is in good shape,
with the following recommended changes.
I think it should be published as a standards track RFC.

Recommended changes:

1) Abstract
s/(when approved as a standards-track RFC)//

2) Introduction
 
I recommend dropping the part about three documents unless you
actually publish initial versions of the other documents. I do
recommend against creating a tarball of the three documents, which
would hold up all three until all are complete. So dropping the text
makes the most sense to me.

On the other hand, this document alone is insufficient. Users of this
document may also need the other two documents, depending on their
purpose. You could say that the other two documents may be needed for
complete reuse of existing MIB modules in an XML environment, but
those documents have not been written at the time of this writing.

3) section 4

The paragraph about "BITS" needs to be modified:
s/will be defined/????/

4) IANA Considerations

The document registers namespaces and schemas for three documents.
This should be changed to only register one set.

5) Acknowledgements

check the spelling of Alfred HInes.

you or the RFC editor should remove the note to notify the editor.

6) References

I think RFC3584 might be Normative, and 2579 Informational.

7) Open Issues

remove this section

8) Change Log

you or the RFC editor should remove the change log

9) copyrights need to be 2009, and must meet the new IPR rules.

10) Since this schema might be used separately from the enclosing
document, should it contain information, similar to the description in
a MIB module, such as organization, contact person, address, phone,
email, last updated, the RFC in which it was published, etc.?

David Harrington
[email-masked]
[email-masked]
[email-masked]

---

From: "Natale, Bob" <[email-masked]>
Date: Wed, 4 Feb 2009 17:25:49 -0500

Hi David,

Thanks...will implement your recommended changes 1-9 per your guidance (and earlier feedback from others).

I don't really know the answer to 10...will watch for additional comments from this group and will research what has been done for some other XSDs in IETF RFCs...and adopt what results from that or leave it as is if nothing emerges clearly.

Cheers,
BobN

-----Original Message-----
From: David B Harrington [mailto:[email-masked]] 
Sent: Wednesday, February 04, 2009 5:17 PM
To: [email-masked]; Natale, Bob
Subject: WGLC on draft-ietf-opsawg-smi-datatypes-in-xsd-04.txt

Hi,

Recommended changes:

1) Abstract

2) Introduction

3) section 4

4) IANA Considerations

5) Acknowledgements

6) References

7) Open Issues

remove this section

8) Change Log

David Harrington
[email-masked]
[email-masked]
[email-masked]